%define module_name sensors
%define tar_name PySensors

Name:           python-%{module_name}
Version:        0.0.2
Release:        %mkrel 1.hg0cf96f4e2cfe.12
Group:          Development/Python
Summary:        Python bindings for libsensors.so

License:        LGPLv3
URL:            https://bitbucket.org/gleb_zhulik/py3sensors
# Not on Pypi, we need snapshots.  Instructions below:
# wget https://bitbucket.org/gleb_zhulik/py3sensors/get/tip.tar.gz
# cd gleb_zhulik-py3sensors-0cf96f4e2cfe/
# python setup.py sdist
# The tarball is in dist/PySensors-VERSION.tar.gz
Source0:        %{tar_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  lm_sensors-devel

%description
Python bindings for libsensors.so from the lm-sensors project via ctypes.
Supported only 4 API version.

%package -n     python3-%{module_name}
Group:          Development/Python
Summary:        Python3 bindings for libsensors.so
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description -n python3-%{module_name}
Python bindings for libsensors.so from the lm-sensors project via ctypes.
Supported only 4 API version.


%prep
%setup -q -n %{tar_name}-%{version}

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%py3_build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}

%files -n python3-%{module_name}
%doc README.rst
%{python3_sitelib}/%{module_name}/
%{python3_sitelib}/%{tar_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 0.0.2-1.hg0cf96f4e2cfe.12.mga9
+ Revision: 1839024
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 0.0.2-1.hg0cf96f4e2cfe.11.mga9
+ Revision: 1773508
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.0.2-1.hg0cf96f4e2cfe.10.mga9
+ Revision: 1732631
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.0.2-1.hg0cf96f4e2cfe.9.mga8
+ Revision: 1535849
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 0.0.2-1.hg0cf96f4e2cfe.8.mga8
+ Revision: 1452716
- rebuild for python-3.8
- drop python2 subpkg

* Thu Jan 10 2019 shlomif <shlomif> 0.0.2-1.hg0cf96f4e2cfe.8.mga7
+ Revision: 1354360
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.0.2-1.hg0cf96f4e2cfe.7.mga7
+ Revision: 1290016
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.0.2-1.hg0cf96f4e2cfe.6.mga7
+ Revision: 1135626
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 0.0.2-1.hg0cf96f4e2cfe.5.mga6
+ Revision: 970560
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 ovitters <ovitters> 0.0.2-1.hg0cf96f4e2cfe.4.mga6
+ Revision: 887128
- rebuild for new python3

* Wed Oct 15 2014 umeabot <umeabot> 0.0.2-1.hg0cf96f4e2cfe.3.mga5
+ Revision: 742902
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.0.2-1.hg0cf96f4e2cfe.2.mga5
+ Revision: 729754
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.0.2-0.hg0cf96f4e2cfe.2.mga5
+ Revision: 688323
- Mageia 5 Mass Rebuild

* Thu Jun 19 2014 philippem <philippem> 0.0.2-0.hg0cf96f4e2cfe.1.mga5
+ Revision: 638172
- imported package python-sensors

